%define module_name vmhgfs
%define version 1.4.18.1

%{?!packager: %define packager Ian McLeod <imcleod@redhat.com>}
%{?!license: %define license Unknown}
%{?!_dkmsdir: %define _dkmsdir /var/lib/dkms}
%{?!_srcdir: %define _srcdir %_prefix/src}
%{?!_datarootdir: %define _datarootdir %{_datadir}}

Summary:	%{module_name} %{version} dkms package
Name:		vmware-vmhgfs-dkms
Version:	%{version}
License:	%license
Release:	1dkms%{?dist}
BuildArch:	noarch
Group:		System/Kernel
Requires: 	dkms >= 1.95
BuildRequires: 	dkms
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root/
Source: vmhgfs.tar
Source1: dkms.conf-vmhgfs
Patch0: 03-vmhgfs-3.15-vfs_readlink.patch
Patch1: 13-vmhgfs-f_dentry-kernel-3.19-tools-9.9.2.patch
Patch2: 17-vmhgfs-bdi-kernel-4.0-tools-9.9.3.patch
Patch3: 18-vmhgfs-d_alias-kernel-3.18.1-tools-9.9.3.patch
Patch4: 19-vmhgfs-new_sync_read-4.1.3-100-9.9.3.patch


%description
Kernel modules for %{module_name} %{version} in a DKMS wrapper.

%prep
%setup -q -n vmhgfs-only
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%install
if [ "$RPM_BUILD_ROOT" != "/" ]; then
        rm -rf $RPM_BUILD_ROOT
fi

mkdir -p $RPM_BUILD_ROOT%{_srcdir}/%{module_name}-%{version}/
cp -rf ./* $RPM_BUILD_ROOT%{_srcdir}/%{module_name}-%{version}
# Our dkms.conf file - this is not in the raw vmware-tools module tarball
# so we pull it in as a distinct source file
install %{SOURCE1} $RPM_BUILD_ROOT%{_srcdir}/%{module_name}-%{version}/dkms.conf

%clean
if [ "$RPM_BUILD_ROOT" != "/" ]; then
        rm -rf $RPM_BUILD_ROOT
fi

%post
for POSTINST in %{_prefix}/lib/dkms/common.postinst %{_datarootdir}/%{module_name}/postinst; do
        if [ -f $POSTINST ]; then
                $POSTINST %{module_name} %{version} %{_datarootdir}/%{module_name}
                exit $?
        fi
        echo "WARNING: $POSTINST does not exist."
done
echo -e "ERROR: DKMS version is too old and %{module_name} was not"
echo -e "built with legacy DKMS support."
echo -e "You must either rebuild %{module_name} with legacy postinst"
echo -e "support or upgrade DKMS to a more current version."
exit 1

%preun
echo -e
echo -e "Uninstall of %{module_name} module (version %{version}) beginning:"
dkms remove -m %{module_name} -v %{version} --all --rpm_safe_upgrade
exit 0

%files
%defattr(-,root,root)
%{_srcdir}

%changelog
* %(date "+%a %b %d %Y") %packager %{version}-%{release}
- Automatic build by DKMS

